Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001047 [Piwigo] metadata minor always 2009.07.10 20:53 2010.02.26 13:03
Reporter elpix View Status public  
Assigned To plg
Priority normal Resolution fixed Platform nas server
Status closed   OS linux
Projection none   OS Version 2.6.15
ETA none Fixed in Version 2.0.9 Product Version 2.0.3
  Target Version Product Build
Summary 0001047: Bug in the display of a pictures
Description Any time when you are displaying a picture witch has a creation date with a value equal to zero, you receive a warning in the header of the picture page witch is tipically like that :



Notice: Undefined offset: 0 in /volume1/web/photos/include/functions.inc.php on line 588



Warning: Cannot modify header information - headers already sent by (output started at /volume1/web/photos/include/functions.inc.php:588) in /volume1/web/photos/include/page_header.php on line 98

Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version 4.1.22
PHP version 5.2.10-3
Web server Apache 2.2.8
Attached Files

- Relationships
related to 0000859closedplg Non initalized dates and $conf['display_fromto'] = true; 

-  Notes
(0003219)
grum (administrator)
2009.12.13 14:43

same problem than bug 859
(0003362)
VDigital (reporter)
2010.01.28 20:47

see http://piwigo.org/forum/viewtopic.php?pid=111545#p111545 [^]
(0003443)
svn (reporter)
2010.02.26 13:00

[Subversion] r4965 by plg on branch 2.0

-----[Subversion commit log]----------------------------------------------------
bug 1047 fixed: avoid warnings when the creation date is 0000-00-00 (which
happens when date_creation comes from corrupted EXIF)

bug 859 fixed: at display time only. Piwigo still inserts wrong date in the
database, to be fixed later.
(0003445)
svn (reporter)
2010.02.26 13:03

[Subversion] r4966 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r4965 from branch 2.0 to trunk

bug 1047 fixed: avoid warnings when the creation date is 0000-00-00 (which
happens when date_creation comes from corrupted EXIF)

bug 859 fixed: at display time only. Piwigo still inserts wrong date in the
database, to be fixed later.

- Issue History
Date Modified Username Field Change
2009.07.10 20:53 elpix New Issue
2009.07.10 20:53 elpix browser => any
2009.07.10 20:53 elpix MySQL version => 4.1.22
2009.07.10 20:53 elpix PHP version => 5.2.10-3
2009.07.10 20:53 elpix Web server => Apache 2.2.8
2009.12.13 14:43 grum Note Added: 0003219
2009.12.13 15:27 ddtddt Relationship added related to 0000859
2009.12.13 15:27 ddtddt Status new => closed
2009.12.13 15:27 ddtddt Resolution open => duplicate
2010.01.28 20:47 VDigital Note Added: 0003362
2010.01.28 20:47 VDigital Status closed => feedback
2010.01.28 20:47 VDigital Resolution duplicate => reopened
2010.02.26 13:00 svn Checkin
2010.02.26 13:00 svn Note Added: 0003443
2010.02.26 13:01 plg Assigned To => plg
2010.02.26 13:01 plg Status feedback => closed
2010.02.26 13:01 plg Resolution reopened => fixed
2010.02.26 13:01 plg Fixed in Version => 2.0.9
2010.02.26 13:03 svn Checkin
2010.02.26 13:03 svn Note Added: 0003445


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker